﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
// Reference to ViewModel.
using XamGrid_sample.ViewModel;
using System.Globalization;
using Infragistics.Controls.Grids.Primitives;
using Infragistics.Windows;

namespace XamGrid_sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            // Accessing the ViewModel only for testing purposes.
            //
            var selectedItems = (this.DataContext as ViewModel.ViewModel).SelectedItems;
            StringBuilder names = new StringBuilder("SelectedItems from ViewModel:" + Environment.NewLine);

            foreach (object item in selectedItems)
            {
                names.Append((item as Item).Name + Environment.NewLine);
            }

            MessageBox.Show(names.ToString());
        }
    }
}
